Subject: Re: git push mirror mode

From: Andy Whitcroft <[email-masked]>
Date: Thu, 8 Nov 2007 12:49:16 +0000

On Thu, Nov 08, 2007 at 12:19:18PM +0000, Johannes Schindelin wrote:

> P.S.: Without tests I am opposed to inclusion.  This _definitely_ needs 
> some tests.

This is very much 'pu' material right now.  I've used it for a day
keeping some kernel repos in sync on a couple of test boxes.  Hardly
extensive testing.

Yes some tests would be advisable.  However I am no expert in the git
test system, so I am not going to be able to do that in short order.
What little time I had to work on this this morning was wasted by some
SarBox madness here (but that is another story).  In the spirit of
making progress on what is a useful feature I pulled Junio's original
change forward, fixed up my patch to expose it the the user and gave it
some testing.

Whats there does seem to work and has a prima-facie use case.  Hopefully
someone can provide the nessary tests before I can.

-apw